GUIX(PACKAGE)

NAME
guix package (GNU Guix) - manual page for guix package (GNU Guix) 1.3.0

SYNOPSIS
guix package [OPTION]...

DESCRIPTION
Install, remove, or upgrade packages in a single transaction.

-i, --install PACKAGE ...
    install PACKAGEs

-e, --install-from-expression=EXP
    install the package EXP evaluates to

-f, --install-from-file=FILE
    install the package that the code within FILE evaluates to

-r, --remove PACKAGE ...
    remove PACKAGEs

-u, --upgrade[=REGEXP] upgrade all the installed packages matching REGEXP

-m, --manifest=FILE
    create a new profile generation with the manifest from FILE

--do-not-upgrade[=REGEXP] do not upgrade any packages matching REGEXP

--roll-back
    roll back to the previous generation

--search-paths[=KIND]
    display needed environment variable definitions

-l, --list-generations[=PATTERN]
    list generations matching PATTERN

-d, --delete-generations[=PATTERN]
    delete generations matching PATTERN

-S, --switch-generation=PATTERN
    switch to a generation matching PATTERN

--export-manifest
    print a manifest for the chosen profile

--export-channels
    print channels for the chosen profile

-p, --profile=PROFILE
    use PROFILE instead of the user's default profile

--list-profiles
    list the user's profiles

--allow-collisions do not treat collisions in the profile as an error

--bootstrap
    use the bootstrap Guile to build the profile

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

-s, --search=REGEXP
    search in synopsis and description using REGEXP

-I, --list-installed[=REGEXP]
    list installed packages matching REGEXP

-A, --list-available[=REGEXP]
    list available packages matching REGEXP

--show=PACKAGE
    show details about PACKAGE

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-offload
    do not attempt to offload builds

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

--help-transform
    list package transformation options not shown here

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix package (GNU Guix) is maintained as a Texinfo manual. If the info and guix package (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.